Can't upgrade from 27.1.5

Nextcloud version : 27.1.5
Operating system and version: Infomaniak managed app
Apache 2.4.51
PHP version 8.1

The issue you are facing:

Is this the first time you’ve seen this error? Y

Steps to replicate it:

  1. Click on update from the web interface

  2. Then I get this error

  3. Then i’m stuck and i’m forced to restore a backup

Thanks in advance for your help!

What version are you trying to upgrade to? The latest v27 maintenance release (v27.1.9)?

Thanks a lot for the answer.
The web admin panel is proposing the 27.1.8
But for any versions I can selected, I got the same error message.

That particular migration doesn’t exist in v27. I’m not sure how your environment would even know about it unless it had been partially updated to v28 somehow.

Unfortunately that isn’t the official Nextcloud Server Updater in the screenshot. So I’m unclear how the update was deployed underneath. Sounds like something you may need to ask your provider about since it looks proprietary.

Hello,

I asked the provider and they said that we should ask the Nextcloud community :smiley:
By the way, we have the same issue when we use the classic way to upgrade.
Same error messages.

Thanks again for your suggestion!

The error message shows an issue with app “oauth2”.
Try to disable it before NC-upgrade and update and enable the app after the upgrade.

Hi all,

We could’nt disable oauth2 so we deleted (moved) the folder of the app, and we’ve been able to upgrade.

Thanks for your help !